Creates a new type

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e66d1f66-0f7f-4b9f-b91a-e3dc9c1b3829",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "c5251f80-0ffd-458a-a4de-0bc41ff984c6",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "325bd26e-61d0-4468-bcb2-e4ab95a3505e",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "cec5f00f-6e6b-42e0-bb6c-f6e92b5f1369",
    "db_currency_id": "927330e1-59ec-4807-98b4-d7fc020eb9b1",
    "db_language_id": "8ccb30bc-4c66-4ead-810f-60ce4b9487b9",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-29T07:19:12.7800034+00:00"
  },
  "modified_dateutc": "2026-10-29T07:19:12.7800034+00:00"
}